Bug 968388 - gnome-boxes design issues with multiple "remote boxes" or custom URIs
gnome-boxes design issues with multiple "remote boxes" or custom URIs
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-boxes (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: beta
: 7.1
Assigned To: Zeeshan Ali
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 11:30 EDT by David Jaša
Modified: 2014-10-02 12:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-02 12:15:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-05-29 11:30:32 EDT
Description of problem:
gnome-boxes allow work with "remote boxes" (VMs accessible through various user-specified URIs) for a while but it's UI makes work with such remote boxes quite messy with even few remote URIs. The main problems currently are:
* inability to see overview of known URIs and inability to modify and delete the URIs
* inability to delete (disconnect) URI is important enough to deserve a special point
* no visual clue of where does each boxes come from - how can user distinguish three boxes with identical name coming from local session and two remote URIs?
* inability to distinguish respective connection/URI when boxes give a notification or ask for password

IMO other issues may arise during testing so I'd like to make this bug a tracker bug for the whole area and file respective bugs and missing features separately.


Version-Release number of selected component (if applicable):
gnome-boxes-3.8.1.2-1.el7.x86_64
Comment 1 Zeeshan Ali 2013-07-22 13:06:43 EDT
(In reply to David Jaša from comment #0)
> Description of problem:
> gnome-boxes allow work with "remote boxes" (VMs accessible through various
> user-specified URIs) for a while but it's UI makes work with such remote
> boxes quite messy with even few remote URIs. The main problems currently are:
> * inability to see overview of known URIs and

You mean you want a special overview just for remote URIs added?

> inability to modify and delete
> the URIs

Thats good point.

> * inability to delete (disconnect) URI is important enough to deserve a
> special point

Yeah but it doesn't deserver another bullet if it was covered in the previous one. :)

> * no visual clue of where does each boxes come from

I think that part is intentional. Shouldn't they be seemless? Why should a user care where the box is located as long as he/she can use it?

You can get details in properties of each box.

> - how can user
> distinguish three boxes with identical name coming from local session and
> two remote URIs?

They can easily rename them in such cases.

> * inability to distinguish respective connection/URI when boxes give a
> notification or ask for password

Yeah, we want that.

> IMO other issues may arise during testing so I'd like to make this bug a
> tracker bug for the whole area and file respective bugs and missing features
> separately.

Thanks for filing this bug but I suggest filing it in upstream bz. I'll try to remember to bring these points up in the Boxes hackfest next week at GUADEC.
Comment 2 Vladimir Benes 2013-10-02 09:56:37 EDT
Zeeshan, is there any update here? I think this bug report is hitting some really needed features.
Comment 3 Zeeshan Ali 2013-10-02 10:30:30 EDT
(In reply to Vladimir Benes from comment #2)
> Zeeshan, is there any update here? I think this bug report is hitting some
> really needed features.

As I said at the end of comment#1, this bug needs to be in upstream. Also this is mix of different enhancements, some of which I'll try to tackle in this development cycle (next 5 months) and some of them I don't agree with.

Note You need to log in before you can comment on or make changes to this bug.